Subject: Re: [RFC, VLAN]: Propagate selected feature bits to VLAN devices

From: Patrick McHardy <[email-masked]>
Date: Thu, 22 May 2008 20:03:02 +0200

Waskiewicz Jr, Peter P wrote:
>>> I thought about this myself, my second idea was to add a mask for 
>>> feature bits to be propagated. Unless there is a need for 
>>>       
>> the driver 
>>     
>>> to determine them at runtime, thats slightly simpler. The 
>>>       
>> driver would 
>>     
>>> do:
>>>
>>> dev->vlan_features = NETIF_F_CSUM_ALL | ...
>>>
>>> What do you think about this?
>>>       
>> Yes that sounds great!
>>     
>
> The issue is how does the driver know how to pull those flags off the
> VLAN device when the parent has TSO or CSUM offload disabled?  The only
> way I could come up with it was in my original patch in the drivers to
> loop through the entire VLAN group array, and clear the flag on existing
> devices.
>   

Yes, thats also what my patch is doing. Not a big deal I guess,
we're doing that for all kinds of notifications already and
nobody ever complained.